package java_lec05.samples;

import java.util.HashMap;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.Set;

public class Sample_HashMap {
	
	public static void main(String[] args) {
		new Sample_HashMap().start();
	}
	private void start(){
		//<Key, Value>というように型を指定する
		HashMap<String, Integer> map = new LinkedHashMap<String, Integer>();
		map.put("A", 0);
		map.put("B", 1);
		map.put("C", 2);
		map.put("D", 3);
		map.put("E", 4);
		
		map.size();
		map.remove("A");//キー"A"を持つ要素を削除する
		
		//要素を表示する
		Set<String> keys = map.keySet();
		Iterator<String> iterator = keys.iterator();
		while(iterator.hasNext()){
			String key = iterator.next();
			int value = map.get(key);
			System.out.println("(" + key + ", " + value + ")");
		}
		
		//HashMapクラスのtoString()メソッドを利用する
		System.out.println("map = " + map);
	}

}
