package java_lec05.samples;

import javax.swing.JOptionPane;

public class Sample_try_catch {
	
	public static void main(String[] args) {
		new Sample_try_catch().start();
	}
	private void start(){
		int[] array = new int[5];
		int index = 0;
		while(true){			
			try{
				String input = JOptionPane.showInputDialog(
						"整数を入力してください．\n" +
						"ダイアログを閉じると，NullPointerException\n" +
						"数字以外の文字列を入力すると，NumberFormatException\n" +
						(array.length + 1) + "回目の入力で，ArrayIndexOutOfBoundsException\n" +
						"がそれぞれ発生する．");
				array[index] = Integer.parseInt(input.toString());
				index++;
				System.out.println("例外発生なし");
			}
			catch(NullPointerException e){
				System.out.println("発生した例外->" + e);
			}
			catch(NumberFormatException e){
				System.out.println("発生した例外->" + e);
			}
			catch(ArrayIndexOutOfBoundsException e){
				System.out.println("発生した例外->" + e);
				break;
			}
			finally{
				//arrayの内容を表示する
				System.out.println("Sample_try_catch.start():finally");
				for(int i = 0; i < array.length; i++)
					System.out.print(array[i] + " ");
				System.out.println();
			}
		}
	}

}
