package java_lec05.samples;

public class Sample_Error {
	
	public static void main(String[] args) {
		Sample_Error se = new Sample_Error();
//		se.memoryTest();
		se.stackTest();
	}
	void memoryTest(){
		System.out.println("Javaの仮想メモリを使い果たすテストを行う．");
		HeavyClass[] array = new HeavyClass[10000];
		int index = 0;
		while(true){
			try{
				array[index++] = new HeavyClass();
				
				Runtime.getRuntime().gc();//ガベージコレクタを実行
				long totalMemory = Runtime.getRuntime().totalMemory();
				long usedMemory = totalMemory - Runtime.getRuntime().freeMemory();
				
				System.out.printf("used/total = %10d/%10d\n", usedMemory, totalMemory);
			}
			catch(OutOfMemoryError e){
				System.out.println("発生したエラー->" + e);
				break;
			}
		}
	}
	
	private int recursionCounter = 0;//メソッドの再帰呼び出し回数のカウンター
	void stackTest(){
		System.out.println("Sample_Error.stackTest()");
		try{
			recursion();
		}
		catch(StackOverflowError e){
			System.out.println("発生したエラー->" + e);
			System.out.println("再帰呼び出し回数=" + recursionCounter);
		}
	}
	private void recursion(){
		recursionCounter++;//再帰回数を加算
		recursion();
	}
	
	class HeavyClass {
		public double[] array = new double[100000];
	}

}
