package java_lec05.samples;

public class Sample_InnerClass {
	
	public static void main(String[] args) {
		new Sample_InnerClass().start();
	}
	private void start(){
		OuterClass outer = new OuterClass();
		System.out.println("アウタークラスのインスタンス:" + outer);
		System.out.println("インナークラスのインスタンス:" + outer.inner);
	}
	
}

/**
 * アウタークラス<br/>
 * 今回はインナークラスに対してアウタークラスと呼ぶだけで，通常は呼ばない．
 * @author Masaru TAKENAKA
 *
 */
class OuterClass {
	/** インナークラスのインスタンス */
	InnerClass inner;
	
	public OuterClass(){
		System.out.println("OuterClass.OuterClass()");
		inner = new InnerClass();
	}
	
	/**
	 * インナークラス<br/>
	 * 内部クラスとも言う．
	 * @author Masaru TAKENAKA
	 *
	 */
	private class InnerClass {
		
		public InnerClass(){
			System.out.println("OuterClass.InnerClass.InnerClass()");
		}
		
	}
	
}